package com.bonus.canteen.core.allocation.canteen.vo;

import cn.hutool.core.util.ObjectUtil;
import com.bonus.canteen.core.common.utils.BaseTreeNode;

public class AllocCanteenTreeVO extends BaseTreeNode {
   private String treeName;
   private Integer treeType;
   private Integer halfSelect;
   private Integer bizType;

   public boolean ifCanteen() {
      return ObjectUtil.equal(this.treeType, 1);
   }

   public boolean ifStall() {
      return ObjectUtil.equal(this.treeType, 2);
   }

   public String getTreeName() {
      return this.treeName;
   }

   public Integer getTreeType() {
      return this.treeType;
   }

   public Integer getHalfSelect() {
      return this.halfSelect;
   }

   public Integer getBizType() {
      return this.bizType;
   }

   public void setTreeName(final String treeName) {
      this.treeName = treeName;
   }

   public void setTreeType(final Integer treeType) {
      this.treeType = treeType;
   }

   public void setHalfSelect(final Integer halfSelect) {
      this.halfSelect = halfSelect;
   }

   public void setBizType(final Integer bizType) {
      this.bizType = bizType;
   }

}
